Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] plasma-nm / NetworkManager version conflict
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
pcfreak85
n00b
n00b


Joined: 11 Feb 2005
Posts: 53

PostPosted: Tue Oct 16, 2018 9:11 am    Post subject: [SOLVED] plasma-nm / NetworkManager version conflict Reply with quote

Hey Gentoo Users,

I'm not sure if the error is with me or my system or whatever but as I cannot find anything inside this forum, I guess that I'm the only one facing this issue.

Since several weeks I cannot use the plasma-nm to manage network connections anymore. It simply shows "NetworkManager 0.9.8 required found %1"

My whole system is up2date, everything is working except that. Am I really the only person facing this issue?


I have the following setup:

Code:

*  net-misc/networkmanager
      Latest version available: 1.14.0
      Latest version installed: 1.14.0
      Size of files: 4.287 KiB
      Homepage:      https://wiki.gnome.org/Projects/NetworkManager
      Description:   A set of co-operative tools that make networking simple and straightforward
      License:       GPL-2+

*  kde-plasma/plasma-nm
      Latest version available: 5.13.5-r1
      Latest version installed: 5.13.5-r1
      Size of files: 690 KiB
      Homepage:      https://www.kde.org/
      Description:   KDE Plasma applet for NetworkManager
      License:       GPL-2 LGPL-2.1



Code:

frederick ~ # emerge --info
Portage 2.3.51 (python 3.5.5-final-0, default/linux/amd64/17.0/desktop/plasma, gcc-7.3.0, glibc-2.27-r6, 4.18.13-ck x86_64)
=================================================================
System uname: Linux-4.18.13-ck-x86_64-Intel-R-_Core-TM-_i7-2620M_CPU_@_2.70GHz-with-gentoo-2.6
KiB Swap:   16777212 total,  16777212 free
Timestamp of repository gentoo: Tue, 16 Oct 2018 05:15:01 +0000
Head commit of repository gentoo: 99bad8eb495adb414f05ca9f3640aeb7e44b260c
sh bash 4.4_p23
ld GNU ld (Gentoo 2.30 p3) 2.30.0
app-shells/bash:          4.4_p23::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.26.2::gentoo
dev-lang/python:          2.7.15::gentoo, 3.4.8-r1::gentoo, 3.5.5-r1::gentoo, 3.6.6::gentoo, 3.7.0::gentoo
dev-util/cmake:           3.12.3::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.38.2::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.13.4-r2::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.30-r3::gentoo, 2.31.1-r1::gentoo
sys-devel/gcc:            7.3.0-r3::gentoo, 8.2.0-r3::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r5::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.18::gentoo (virtual/os-headers)
sys-libs/glibc:           2.27-r6::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-extra-opts:
    sync-rsync-verify-metamanifest: no
    sync-rsync-verify-max-age: 24

andreas
    location: /usr/local/portage
    masters: gentoo
    priority: 0

ACCEPT_KEYWORDS="amd64 ~amd64 ~x86"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=sandybridge -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=sandybridge -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de"
MAKEOPTS="-j5 -s"
PKGDIR="/usr/portage"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac aalib accessibility acl acpi activities administrator alsa amd amd64 apache2 apm apng arts artswrappersuid audiofile avi bash-completion bashlogger bcmath berkdb bitmap-fonts bluetooth branding bzip2 cairo ccache cdda cdparanoia cdr ck-plus clamav clamd cli consolekit cpudetection cracklib crypt cscope ctype cups curl cxx dba dbus declarative divx divx4linux dri dts dvb dvd dvdr dvdread eds emboss encode esd ethereal evdev exif expat exscalibar fam fastbuild ffmpeg flac foomaticdb force-cgi-redirect fortran ftp gd-external gdbm gif gimpprint glamor glitz glut gmp gnutls gocr gphoto2 gpm gstreamer gtk gtk2 gtkhtml guile hdaps iconv icq idn imagemagick imap imlib ios iphone ipod ipv6 ipw4965 java jpeg kde kipi kpathsea kqemu kwallet lame lcms legacy-systray libclamav libg++ libnotify libtirpc libwww lm-sensors logrotate mad maildir memlimit mhash mikmod mime ming mmx mmxext mng motif mozdevelop mozilla mp3 mp4 mpeg mpeg2 mplayer mpm-perchild mpm-prefork multilib musepack musicbrainz ncurses networkmanager nls nptl nptlonly nsplugin nvidia obex ocrad ogg oggvorbis on-the-fly-crypt openexr opengl openmp openssh openssl oscar oss pam pango pcmcia pcre pdf pdflib pdo-external pear pear-db perl phonon plasma plotutils png pnp policykit pop posix ppds profile python qml qt5 query-browser quicktime rdesktop readline real realmedia rtc samba sdl seccomp secure-delete semantic-desktop session sftplogging simplexml slang smime snmp soap socket sockets spamassassin speex spell spl sqlite sse sse2 ssl startup-notification subject-rewrite svg symlink tcltk tcpd tesseract tetex tidy tiff tk tki tokenizer transcode truetype truetype-fonts type1-fonts udev udisks unicode upower usb utf8 vcd vcdimager vcdx vhosts vim vim-pager vim-with-x visualization vorbis widgets win32codecs wmp workbench wxwidgets wxwindows x264 xattr xcb xcomposite xgl xine xinerama xml xml2 xmlreader xmlwriter xmms xosd xrandr xsl xv xvid xvmc zip zlib zlibi" ABI_X86="64" ALSA_CARDS="hda_intel usb-audio" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon plan sheets stage words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2 sse3" CURL_SSL="openssl" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev synaptics" KERNEL="linux" L10N="de" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-1" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_5" PYTHON_TARGETS="python2_7 python3_5" RUBY_TARGETS="ruby23" USERLAND="GNU" VIDEO_CARDS="nvidia intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS



I really like to use the GUI again for VPN, Wireless and so on...


Thanks in advance!
_________________
---
Gentoo running on Lenovo Thinkpad T420 with KDE / SDDM
Intel(R) Core(TM) i7-2620M CPU @ 2.70GHz / 8GB memory / nvidia graphics


Last edited by pcfreak85 on Wed Oct 17, 2018 11:19 am; edited 1 time in total
Back to top
View user's profile Send private message
Fitzcarraldo
Veteran
Veteran


Joined: 30 Aug 2008
Posts: 1561
Location: United Kingdom

PostPosted: Tue Oct 16, 2018 9:37 pm    Post subject: Reply with quote

I'm using Gentoo amd64 on one machine and ~amd64 on another, and both NetworkManager and plasma-nm are working fine in both those installations. I have no idea why you're seeing that message, but I know which of plasma-nm's source files is responsible for it:

https://github.com/KDE/plasma-nm/blob/Plasma/5.13/libs/declarative/networkstatus.cpp

Lines 226-239 (notice Line 235):
Code:
226 QString NetworkStatus::checkUnknownReason() const
227 {
228     // Check if NetworkManager is running.
229     if (!QDBusConnection::systemBus().interface()->isServiceRegistered(NM_DBUS_INTERFACE)) {
230         return i18n("NetworkManager not running");
231     }
232
233     // Check for compatible NetworkManager version.
234     if (NetworkManager::compareVersion(0, 9, 8) < 0) {
235         return i18n("NetworkManager 0.9.8 required, found %1.", NetworkManager::version());
236     }
237
238     return i18nc("global connection state", "Unknown");
239 }

checkUnknownReason is called in Line 135:

Lines 112-137:
Code:
112 switch (status) {
113         case NetworkManager::ConnectedLinkLocal:
114             m_networkStatus = i18nc("A network device is connected, but there is only link-local connectivity", "Connected");
115             break;
116         case NetworkManager::ConnectedSiteOnly:
117             m_networkStatus = i18nc("A network device is connected, but there is only site-local connectivity", "Connected");
118             break;
119         case NetworkManager::Connected:
120             m_networkStatus = i18nc("A network device is connected, with global network connectivity", "Connected");
121             break;
122         case NetworkManager::Asleep:
123             m_networkStatus = i18nc("Networking is inactive and all devices are disabled", "Inactive");
124             break;
125         case NetworkManager::Disconnected:
126             m_networkStatus = i18nc("There is no active network connection", "Disconnected");
127             break;
128         case NetworkManager::Disconnecting:
129             m_networkStatus = i18nc("Network connections are being cleaned up", "Disconnecting");
130             break;
131         case NetworkManager::Connecting:
132             m_networkStatus = i18nc("A network device is connecting to a network and there is no other available network connection", "Connecting");
133             break;
134         default:
135             m_networkStatus = checkUnknownReason();
136             break;
137 }

Can you use nmtui successfully in a Konsole window? Are all connections shown by nmtui and can you connect and disconnect to them using nmtui?:

Code:
$ sudo nmtui

                                         ┌─┤ NetworkManager TUI ├──┐
                                         │                         │
                                         │ Please select an option │
                                         │                         │
                                         │ Edit a connection       │
                                         │ Activate a connection   │
                                         │ Set system hostname     │
                                         │                         │
                                         │ Quit                    │
                                         │                         │
                                         │                    <OK> │
                                         │                         │
                                         └─────────────────────────┘


Any error messages in /var/log/messages?

Have you tried uninstalling and re-installing just plasma-nm?

The only thing I noticed immediately from a cursory glance at the output of 'emerge --info' you posted is the following:

Code:
PYTHON_SINGLE_TARGET="python3_5" PYTHON_TARGETS="python2_7 python3_5"


I'm using:

Code:
PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6"


because the Gentoo News item of 22 May 2018 stated:

Quote:

Python 3.6 to become the default target

Title: Python 3.6 to become the default target
Author: Michał Górny <mgorny@gentoo.org>
Posted: 2018-05-22
Revision: 1
News-Item-Format: 2.0
Display-If-Installed: dev-lang/python:3.4
Display-If-Installed: dev-lang/python:3.5

On 2018-06-22, Python 3.6 will replace Python 3.5 in the default Python
targets for Gentoo systems. The new default targets will be:

PYTHON_TARGETS="python2_7 python3_6"
PYTHON_SINGLE_TARGET="python3_6"

If you have not overriden the value of those variables on your system,
then your package manager will want to use the new targets immediately.
In order to prevent dependency conflicts, please clean stray packages
and rebuild/upgrade all packages with USE flag changes after the change,
e.g.:

emerge --depclean
emerge -1vUD @world
emerge --depclean

Please note that upgrading dependencies in place may cause some
of the package dependencies to be temporarily missing. While this
should not affect scripts that are already fully loaded, it may cause
ImportErrors while starting Python scripts or loading additional
modules (only scripts running Python 3.5 are affected).

In order to improve stability of the upgrade, you may choose to
temporarily enable both targets, i.e. set in /etc/portage/make.conf
or its equivalent:

PYTHON_TARGETS="python2_7 python3_5 python3_6"
PYTHON_SINGLE_TARGET="python3_5"

This will cause the dependencies to include both Python 3.5 and 3.6
support on the next system upgrade. Once all packages are updated,
you can restart your scripts, remove the custom setting and run another
upgrade to remove support for Python 3.5.

If you would like to postpone the switch to Python 3.6, you can copy
the current value of PYTHON_TARGETS and/or PYTHON_SINGLE_TARGET
to /etc/portage/make.conf or its equivalent:

PYTHON_TARGETS="python2_7 python3_5"
PYTHON_SINGLE_TARGET="python3_5"

If you would like to migrate your systems earlier, you can do the same
with the new value.

If you are still using Python 3.4, please consider switching to a newer
version as it is reaching its end-of-life. The end-of-life dates
for the currently used versions are:

Python 3.4 2019-03-16
Python 2.7 2020-01-01
Python 3.5 2020-09-13 [1]

[1]:https://devguide.python.org/#status-of-python-branches


I don't see how that would be the cause of your problem, though.
_________________
Clevo W230SS: amd64 OpenRC elogind nvidia-drivers & xf86-video-intel.
Compal NBLB2: ~amd64 OpenRC elogind xf86-video-ati. Dual boot Win 7 Pro 64-bit.
KDE on both.

Fitzcarraldo's blog
Back to top
View user's profile Send private message
pcfreak85
n00b
n00b


Joined: 11 Feb 2005
Posts: 53

PostPosted: Wed Oct 17, 2018 5:54 am    Post subject: Reply with quote

Thanks for the hint with nmtui, didn't know that there is something like this!

It appears DBus is rejecting access to NetworkManager:

Code:

NetworkManager konnte nicht erreicht werden: GDBus.Error:org.freedesktop.DBus.Error.AccessDenied: Rejected send message, 4 matched rules; type="method_call", sender=":1.130" (uid=1000 pid=12319 comm="nmtui ") interface="org.freedesktop.DBus.ObjectManager" member="GetManagedObjects" error name="(unset)" requested_reply="0" destination=":1.1" (uid=0 pid=3381 comm="/usr/sbin/NetworkManager --pid-file /run/NetworkMa").


However, I did not change DBus rules, they all should be default. My user is in wheel / plugdev group.


Thanks for the Python hint, will update it :-)
_________________
---
Gentoo running on Lenovo Thinkpad T420 with KDE / SDDM
Intel(R) Core(TM) i7-2620M CPU @ 2.70GHz / 8GB memory / nvidia graphics
Back to top
View user's profile Send private message
Fitzcarraldo
Veteran
Veteran


Joined: 30 Aug 2008
Posts: 1561
Location: United Kingdom

PostPosted: Wed Oct 17, 2018 11:15 am    Post subject: Reply with quote

I see that your output from 'emerge --info' includes the consolekit USE flag. I therefore assume you are using OpenRC, not systemd, and that you want to use ConsoleKit rather than elogind. Therefore, do you have the systemd USE flag set inadvertently in any packages? What is the eix output for NetworkManager, for example?

Code:
# eix --installed networkmanager


If you don't already have them in /etc/portage/make.conf, I recommend you add the USE flags "consolekit -elogind -systemd" (and check in /etc/portage/package.use/* to make sure those are not being overridden) and rebuild your world set:

Code:
# emerge --ask --changed-use --deep @world

_________________
Clevo W230SS: amd64 OpenRC elogind nvidia-drivers & xf86-video-intel.
Compal NBLB2: ~amd64 OpenRC elogind xf86-video-ati. Dual boot Win 7 Pro 64-bit.
KDE on both.

Fitzcarraldo's blog
Back to top
View user's profile Send private message
pcfreak85
n00b
n00b


Joined: 11 Feb 2005
Posts: 53

PostPosted: Wed Oct 17, 2018 11:19 am    Post subject: Reply with quote

Thanks for your help guys!

The nmtui tool returned the DBus error and with that error I've found a thread where a similar issue existed with another KDE service.

The solution is:

Code:

1. backup /etc/dbus-1
2. emerge -C sys-apps/dbus && emerge -vD sys-apps/dbus


After that, etc-update shows a lot of dbus related files, I did all updates.

From then, nmtui was working! After a reboot, the plasma-nm applet is also working!

Just one issue (related to the current networkmanager-openvpn package) was a timeout issue when starting VPN connections. I've downgraded to networkmanager-openvpn-1.8.4 and now everything is working as expected!

Many thanks!
_________________
---
Gentoo running on Lenovo Thinkpad T420 with KDE / SDDM
Intel(R) Core(TM) i7-2620M CPU @ 2.70GHz / 8GB memory / nvidia graphics
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum